Revert upgrade for a cloud instance

POST/v1/cloud_computing/instances/{instance_id}/revert_upgrade

If a cloud instance's upgrade was completed but wasn't confirmed, you are allowed to cancel it and turn the instance back to the active status. This opportunity is available within 72 hours; after that, it will be confirmed automatically. To do that, perform a POST request to /v1/cloud_computing/instances/{instance_id}/revert_upgrade with the instance ID specified as the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

instance_id*string

A unique identifier of a cloud instance.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/cloud_computing/instances/lNbWJayg/revert_upgrade"
{  "id": "lNbWJayg",  "openstack_uuid": "a8620910-0422-407e-920f-a0a617cb6775",  "status": "REVERTING_UPGRADE",  "name": "name1147",  "region_id": 1,  "region_code": "US99",  "flavor_id": "101",  "flavor_name": "SSD.1",  "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21",  "image_name": null,  "public_ipv4_address": "82.204.63.232",  "private_ipv4_address": null,  "local_ipv4_address": "252.88.130.209",  "public_ipv6_address": null,  "ipv6_enabled": false,  "gpn_enabled": false,  "created_at": "2026-05-28T07:03:24Z",  "updated_at": "2026-05-28T07:03:24Z",  "backup_copies": 0,  "public_port_blocked": false,  "labels": {}}
{  "message": "Region in maintenance mode",  "code": "CLOUD_REGION_MAINTENANCE"}